Input stream subclass for file streams.

package | phing.system.io

### Methods

## Construct a new FileInputStream.

    __construct(\PhingFile | string $file, boolean $append)

### Parameters

#### $file

`\PhingFile` `string`

Path to the file

#### $append

`boolean`

Whether to append (ignored)

### Exceptions

`\Exception` | - if invalid argument specified.
`\IOException` | - if unable to open file.

## Returns a string representation of the attached file.

    __toString() : string

### Returns

`string`

## Closes stream.

    close()

Inherited

inherited_from | \InputStream::close()

### Exceptions

`\IOException` | if stream cannot be closed (note that calling close() on an already-closed stream will not raise an exception)

## Whether eof has been reached with stream.

    eof() : boolean

Inherited

inherited_from | \InputStream::eof()

### Returns

`boolean`

## Marks the current position in this input stream.

    mark()

Inherited

inherited_from | \InputStream::mark()

### Exceptions

`\IOException` | - if the underlying stream doesn't support this method.

## Mark is supported by FileInputStream.

    markSupported() : boolean

### Returns

`boolean`TRUE

## Read data from stream until $len chars or EOF.

    read(int $len) : string

Inherited

inherited_from | \InputStream::read()

### Parameters

#### $len

`int`

Num chars to read. If not specified this stream will read until EOF.

### Returns

`string`chars read or -1 if eof.

## Reads a entire until EOF and places contents in passed-in variable.

    readInto(string $rBuffer) : TRUE

Inherited

Stream is closed after read.

author | Charlie Killian, charlie@tizac.com
inherited_from | \InputStream::readInto()

### Parameters

#### $rBuffer

`string`

&$rBuffer String variable where read contents will be put.

### Exceptions

`\IOException` | - if there is an error reading from stream.

### Returns

`TRUE`on success.

## Repositions this stream to the position at the time the mark method was last called on this input stream.

    reset()

Inherited

inherited_from | \InputStream::reset()

### Exceptions

`\IOException` | - if the underlying stream doesn't support this method.

## Skip over $n bytes.

    skip(int $n)

Inherited

inherited_from | \InputStream::skip()

### Parameters

#### $n

`int`

### Properties

## Position of stream cursor.

    $currentPosition : int

Inherited

inherited_from | \InputStream::$$currentPosition

##

    $file : \PhingFile

## Marked position of stream cursor.

    $mark : int

Inherited

inherited_from | \InputStream::$$mark

## The attached PHP stream.

    $stream : resource

Inherited

inherited_from | \InputStream::$$stream